<template>
  <div>
    <input
      type="text"
      placeholder="First Name"
      v-model="firstName"
    >
    <input
      type="text"
      placeholder="Last Name"
      v-model="lastName"
    >
    <h2>ref - Scrivi il nome: {{fullName}}</h2>

  </div>
  <div>
    <input
      type="text"
      placeholder="First Name"
      v-model="reactiveFirstName"
    >
    <input
      type="text"
      placeholder="Last Name"
      v-model="reactiveLastName"
    >
    <h2>reactive - Scrivi il nome: {{reactiveFullName}}</h2>

  </div>
</template>

<script>
import { ref, computed, reactive, toRefs } from "vue";
export default {
  name: "ComputedComp",
  setup() {
    const firstName = ref("");
    const lastName = ref("");

    const fullName = computed(function () {
      return `${firstName.value} ${lastName.value}`;
    });

    const state = reactive({
        reactiveFirstName: '',
        reactiveLastName: ''
    })
    const reactiveFullName = computed(function(){
        return `${state.reactiveFirstName} ${state.reactiveLastName}`
    })

    return {
      fullName,
      firstName,
      lastName,
      ...toRefs(state),
      reactiveFullName
    };
  },
};
</script>

<style>
</style>